# socket_recvmsg

(PHP 5 >= 5.5.0, PHP 7)

socket_recvmsg — Read a message

### Description

socket_recvmsg ( resource `$socket` , array `&$message` [, int `$flags` = 0 ] ) : int

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`socket`

`message`

`flags`

### Return Values

### See Also

- socket_sendmsg() - Send a message
- socket_cmsg_space() - Calculate message buffer size